For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete a document

URL

DELETE https://api.complycube.com/v1/documents/:id

Deletes an existing document and all associated attachments. You will not be able to delete a document once it has been used to perform a check.

Path parameters

Name
Type
Description

id*

string

The ID of the document.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Example request

curl -X DELETE https://api.complycube.com/v1/documents/{:documentId} \
     -H 'Authorization: <YOUR_API_KEY>' 
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

await complycube.document.delete("DOCUMENT_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR API KEY>')

cc_api.documents.delete('DOCUMENT_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$ccapi->documents()->delete('DOCUMENT_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

await docApi.DeleteAsync("DOCUMENT_ID");

Example response